Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Download recording

HttpResponse live().sessions().downloadRecording(params = SessionDownloadRecordingParams.none(), requestOptions = RequestOptions.none())
GET
/live/sessions/{session_id}/content

Get Live session content

Parameters
SessionDownloadRecordingParams params
Optional<String> sessionId

The ID of the stored Live session to download. Use the session ID returned when the session started with storage enabled.

Download recording

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.core.http.HttpResponse;
import com.openai.models.live.sessions.SessionDownloadRecordingParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        HttpResponse response = client.live().sessions().downloadRecording("live_SQ");
    }
}
Returns Examples